#ifndef	EDITSCOREBUTTONDIALOG_H
#define	EDITSCOREBUTTONDIALOG_H
#include <QDialog>

class	ScoreButton;
class	QLabel;
class	QPushButton;
class	QLineEdit;
class	QCheckBox;

class	EditScoreButtonDialog : public QDialog
{
	Q_OBJECT
public:
	EditScoreButtonDialog(QWidget *parent = 0);
	ScoreButton		*previewScoreButton;
	static QString		lastIconPath;
	
public slots:
	void	updateAll();
	void	setTeamNameFont();
	void	setTeamNameColor();
	void	setTeamScoreFont();
	void	setTeamScoreColor();
	
	void	showTeamIcon(int show);
	void	setTeamIcon();
	void	setTeamScore();
	void	setTeamName();
	void	setSmiley();
	void	setIconSize();
	
signals:
	void	preivewChanged();
	
private:
	void			setupLayout();
	
	QLabel			*teamIconLabel;
	QCheckBox		*teamIconCheckbox;
	QPushButton		*teamIconChooseButton;
	QLabel			*iconWidthLabel;
	QLabel			*iconHeightLabel;
	QLineEdit		*iconWidthLineEdit;
	QLineEdit		*iconHeightLineEdit;
	
	QLabel			*teamNameLabel;
	QLineEdit		*teamNameLineEdit;
	
	QLabel			*teamScoreLabel;
	QLineEdit		*teamScoreLineEdit;

	QLabel			*smileyLabel;
	QLineEdit		*smileyLineEdit;
	
	QPushButton		*setNameFontButton;
	QPushButton		*setNameColorButton;
	
	QPushButton		*setScoreFontButton;
	QPushButton		*setScoreColorButton;
	
	QLabel			*previewLabel;
	
	QPushButton		*okButton;
	QPushButton		*cancelButton;
	
	
};
#endif
