#ifndef	SMILEYBUTTON_H
#define SMILEYBUTTON_H
#include <QToolButton>

class	QIcon;

class SmileyButton : public QToolButton
{
    Q_OBJECT
public:
	SmileyButton(QWidget *parent = 0);
	bool	isHappy() const;
	void	setHappy(const bool happy);
public slots:
	void	toggleIcon();
private:
	void	setFace(const bool happy);
	QIcon			*happyIcon;
	QIcon			*sadIcon;
	bool			happyFace;
};

#endif
